---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2DC0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x539B0, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x558F0, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55CE0, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56C80, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56C90, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x534E0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x534E4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x534E8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53640, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x536F8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x536FC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53700, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53704, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53708, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53710, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x53720, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53728, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53730, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53738, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53740, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53748, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x53790, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x53830, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x538D0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x538D8, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9542, offset: 0x9542, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x538E0, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x9594, offset: 0x9594, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1A60, symSize: 0x80 }
  - { offsetInCU: 0x9629, offset: 0x9629, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x19B0, symSize: 0xB0 }
  - { offsetInCU: 0x9684, offset: 0x9684, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x18B0, symSize: 0x100 }
  - { offsetInCU: 0x9917, offset: 0x9917, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1AE0, symSize: 0xC0 }
  - { offsetInCU: 0x9969, offset: 0x9969, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1BA0, symSize: 0x220 }
  - { offsetInCU: 0x9B4E, offset: 0x9B4E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1DC0, symSize: 0xA0 }
  - { offsetInCU: 0x9C01, offset: 0x9C01, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1E60, symSize: 0x110 }
  - { offsetInCU: 0x9CF7, offset: 0x9CF7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1F70, symSize: 0x150 }
  - { offsetInCU: 0x9E74, offset: 0x9E74, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x20C0, symSize: 0x30 }
  - { offsetInCU: 0x9F35, offset: 0x9F35, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x20F0, symSize: 0x150 }
  - { offsetInCU: 0xA12D, offset: 0xA12D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2240, symSize: 0x160 }
  - { offsetInCU: 0xA3ED, offset: 0xA3ED, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x23A0, symSize: 0x4A0 }
  - { offsetInCU: 0xA660, offset: 0xA660, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2840, symSize: 0x1B0 }
  - { offsetInCU: 0xA87B, offset: 0xA87B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x29F0, symSize: 0xA0 }
  - { offsetInCU: 0xA94A, offset: 0xA94A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2A90, symSize: 0x20 }
  - { offsetInCU: 0xA981, offset: 0xA981, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2AB0, symSize: 0x20 }
  - { offsetInCU: 0xA9B8, offset: 0xA9B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2AD0, symSize: 0x20 }
  - { offsetInCU: 0xAB27, offset: 0xAB27, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2AF0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE43, offset: 0xAE43, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2C90, symSize: 0x130 }
  - { offsetInCU: 0xAFF3, offset: 0xAFF3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3030, symSize: 0x1B0 }
  - { offsetInCU: 0xB2E2, offset: 0xB2E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x31E0, symSize: 0x80 }
  - { offsetInCU: 0xB3AB, offset: 0xB3AB, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3260, symSize: 0x6A0 }
  - { offsetInCU: 0xBF40, offset: 0xBF40, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAE40, symBinAddr: 0x5930, symSize: 0xB0 }
  - { offsetInCU: 0xBFB7, offset: 0xBFB7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3900, symSize: 0x70 }
  - { offsetInCU: 0xC073, offset: 0xC073, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3970, symSize: 0xA0 }
  - { offsetInCU: 0xC19E, offset: 0xC19E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_showPossessedCapabilities, symObjAddr: 0x57D0, symBinAddr: 0x3A10, symSize: 0x740 }
  - { offsetInCU: 0xC56F, offset: 0xC56F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4150, symSize: 0x40 }
  - { offsetInCU: 0xC665, offset: 0xC665, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4190, symSize: 0x2B0 }
  - { offsetInCU: 0xCA0B, offset: 0xCA0B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4440, symSize: 0xC0 }
  - { offsetInCU: 0xCB51, offset: 0xCB51, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4500, symSize: 0x10 }
  - { offsetInCU: 0xCC13, offset: 0xCC13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4510, symSize: 0x220 }
  - { offsetInCU: 0xCF10, offset: 0xCF10, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4730, symSize: 0x10 }
  - { offsetInCU: 0xCF6D, offset: 0xCF6D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4740, symSize: 0x5E0 }
  - { offsetInCU: 0xD732, offset: 0xD732, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xA9D0, symBinAddr: 0x54C0, symSize: 0x320 }
  - { offsetInCU: 0xD87E, offset: 0xD87E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA1F0, symBinAddr: 0x4D20, symSize: 0x10 }
  - { offsetInCU: 0xD8DB, offset: 0xD8DB, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA200, symBinAddr: 0x4D30, symSize: 0x1D0 }
  - { offsetInCU: 0xDA0E, offset: 0xDA0E, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA3D0, symBinAddr: 0x4F00, symSize: 0x30 }
  - { offsetInCU: 0xDA6F, offset: 0xDA6F, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA400, symBinAddr: 0x4F30, symSize: 0x120 }
  - { offsetInCU: 0xDBD8, offset: 0xDBD8, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA520, symBinAddr: 0x5050, symSize: 0xD0 }
  - { offsetInCU: 0xDCF7, offset: 0xDCF7, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA5F0, symBinAddr: 0x5120, symSize: 0xE0 }
  - { offsetInCU: 0xDDD8, offset: 0xDDD8, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xA6D0, symBinAddr: 0x5200, symSize: 0x20 }
  - { offsetInCU: 0xDE5A, offset: 0xDE5A, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xA6F0, symBinAddr: 0x5220, symSize: 0x20 }
  - { offsetInCU: 0xDEC6, offset: 0xDEC6, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xA710, symBinAddr: 0x5240, symSize: 0x20 }
  - { offsetInCU: 0xDF27, offset: 0xDF27, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xA730, symBinAddr: 0x5260, symSize: 0x20 }
  - { offsetInCU: 0xDF88, offset: 0xDF88, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xA750, symBinAddr: 0x5280, symSize: 0x20 }
  - { offsetInCU: 0xDFE9, offset: 0xDFE9, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xA770, symBinAddr: 0x52A0, symSize: 0x20 }
  - { offsetInCU: 0xE06B, offset: 0xE06B, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xA790, symBinAddr: 0x52C0, symSize: 0x20 }
  - { offsetInCU: 0xE103, offset: 0xE103, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xA7B0, symBinAddr: 0x52E0, symSize: 0x20 }
  - { offsetInCU: 0xE159, offset: 0xE159, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xA7D0, symBinAddr: 0x5300, symSize: 0x20 }
  - { offsetInCU: 0xE1C5, offset: 0xE1C5, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xA7F0, symBinAddr: 0x5320, symSize: 0x20 }
  - { offsetInCU: 0xE231, offset: 0xE231, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xA810, symBinAddr: 0x5340, symSize: 0x20 }
  - { offsetInCU: 0xE2A8, offset: 0xE2A8, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xA830, symBinAddr: 0x5360, symSize: 0x20 }
  - { offsetInCU: 0xE2F7, offset: 0xE2F7, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xA850, symBinAddr: 0x5380, symSize: 0x20 }
  - { offsetInCU: 0xE35E, offset: 0xE35E, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xA870, symBinAddr: 0x53A0, symSize: 0x20 }
  - { offsetInCU: 0xE3C5, offset: 0xE3C5, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xA890, symBinAddr: 0x53C0, symSize: 0x20 }
  - { offsetInCU: 0xE420, offset: 0xE420, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xA8B0, symBinAddr: 0x53E0, symSize: 0x20 }
  - { offsetInCU: 0xE491, offset: 0xE491, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xA8F0, symBinAddr: 0x5400, symSize: 0x20 }
  - { offsetInCU: 0xE4E4, offset: 0xE4E4, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xA910, symBinAddr: 0x5420, symSize: 0x20 }
  - { offsetInCU: 0xE537, offset: 0xE537, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xA930, symBinAddr: 0x5440, symSize: 0x20 }
  - { offsetInCU: 0xE57A, offset: 0xE57A, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xA950, symBinAddr: 0x5460, symSize: 0x20 }
  - { offsetInCU: 0xE603, offset: 0xE603, size: 0x8, addend: 0x0, symName: _cbNewGarbageCollectionStart, symObjAddr: 0xA990, symBinAddr: 0x5480, symSize: 0x20 }
  - { offsetInCU: 0xE656, offset: 0xE656, size: 0x8, addend: 0x0, symName: _cbNewGarbageCollectionFinish, symObjAddr: 0xA9B0, symBinAddr: 0x54A0, symSize: 0x20 }
  - { offsetInCU: 0xE6A9, offset: 0xE6A9, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xACF0, symBinAddr: 0x57E0, symSize: 0x150 }
  - { offsetInCU: 0xE844, offset: 0xE844, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAEF0, symBinAddr: 0x59E0, symSize: 0x36A }
...
